<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Join form</title>
    <style>
        .container {
            height: 400px;
            width: 400px;
            /* padding: 20px; */
            margin: 70px auto;
            box-shadow: 0 0 5px rgb(43, 42, 42);
            font-size: 25px;
            position: relative;
        }

        .header , .footer{
            width: 100%;
            height: 40px;
            font-size: 35px;
            font-weight: bold;
            text-align: center;
            background-color: rgb(175, 171, 171);
        }
        .footer{
            position: absolute;
            bottom: 0px;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="header">Joining form</div>
        <form action="">
            <label for="Cources">Cources</label>
            <select name="" id="cource">
                <option value="">Select</option>
                <option value="JavaScript">Javascript</option>
                <option value="Java">Java</option>
                <option value="Python">Python</option>
            </select> <br>

            <label for="fees">Total Fees</label>
            <input type="text" name="" id="fees" value="" size="5"> <br>

            <label for="caste">Caste</label>
            <input type="radio" name="caste" id="general">General
            <input type="radio" name="caste" id="obc">Obc
            <input type="radio" name="caste" id="sc">Sc & St

            <br><label for="fees">Concession</label>
            <input type="text" name="" id="concession" value="" size="5">

            <br><label for="paid">Paid fee</label>
            <input type="text" name="" id="paid" value="" size="5">

            <br><label for="due">Due fee</label>
            <input type="text" name="" id="due" value="" size="5"> <br>

            <br> <button id="btn">Submit</button>
        </form>
        <div class="footer">Thank you</div>
    </div>
    <script>
        document.querySelector('#general').addEventListener('click', () => {
            document.querySelector('#concession').value = 100;
        })
        document.querySelector('#obc').addEventListener('click', () => {
            document.querySelector('#concession').value = 200;
        })
        document.querySelector('#sc').addEventListener('click', () => {
            document.querySelector('#concession').value = 300;
        })

        document.querySelector('#btn').addEventListener('click', () => {
            event.preventDefault();
            console.log(document.querySelector('#cource').value);

            if (document.querySelector('#cource').value == 'Java') {
                document.querySelector('#fees').value = 8000;
            } else if (document.querySelector('#cource').value == 'JavaScript') {
                document.querySelector('#fees').value = 10000;
            } else if (document.querySelector('#cource').value == 'Python') {
                document.querySelector('#fees').value = 9000;
            }

            document.querySelector('#due').value = document.querySelector('#fees').value - document.querySelector('#concession').value - document.querySelector('#paid').value
        })
    </script>
</body>

</html>